* {
    margin: 0;
    padding: 0;
    font-family: "Abel", sans-serif;
}

html {
    overflow-x: hidden;
}

p{
    text-align: justify;
}

.container {
    max-width: 60rem;
    width: 80%;
    margin: 0 auto;
}

header {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: #192a56;
    padding-top: 16px;
    color: #fff;
}

header > .container,
footer > .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 16px;
}

nav {
    background-color: #1f3981;
    padding: 16px 0;
    display: none;
}

nav li {
    list-style: none;
    display: inline;
    margin-right: 16px;
    font-size: 18px;
    font-weight: bold;
    text-transform: uppercase;
}

nav li a {
    color: #fff;
    text-decoration: none;
}

.menu-hamburguer {
    width: 32px;
    cursor: pointer;
}

.menu-hamburguer span{
    height: 2px;
    width: 100%;
    background-color: #fff;
    display: block;
    margin-bottom: 4px;
}

.container-flex {
    display: flex;
}

.sobre-a-loja {
    margin-top: 2rem;
}

.sobre-a-loja h2 {
    text-align: center;
    font-size: 2rem;
}

.sobre-a-loja img{
    max-width: 400px;
    max-height: 300px;
    margin-right: 24px;
    border-radius: 20px;
}

section {
    padding: 1rem 0;
}

section h2 {
    margin-bottom: 16px;
}

.lista-veiculos {
    flex-wrap: wrap;
}

.lista-veiculos li{
    list-style: none;
    max-width: 30%;
    min-width: 20%;
    margin-bottom: 24px;
}

.image {
    width: 289px;
    height: 180px;
}

.lista-veiculos img {
    max-width: 100%;
    max-height: 200px;
    object-fit: cover;
    border-radius: 20px;
}

.lista-veiculos li h3{
    margin: 16px 0;
}

.descricao {
    height: 3rem;
}

.item-central {
    margin: 0 5%;
}

button {
    display: block;
    width: 100%;
    padding: 8px 0;
    border: none;
    background-color: #119759;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    font-style: italic;
    cursor: pointer;
    border-radius: 6px;
}

.price {
    margin: 16px 0;
    display: block;
}

.price del {
    color: #888787;
    font-size: 14px;
}

.form-campo {
    margin: 16px;
}

.form-campo label {
    font-weight: bold;
    display: block;
}

.form-campo input,
.form-campo textarea {
    width: 100%;
    display: block;
    padding: 8px;
}

.form-campo textarea {
    resize: none;
    height: 120px;
}

form {
    max-width: 360px;
}

form button {
    max-width: 120px;
}

footer {
    background-color: #192a56;
    color: #fff;
}

footer p {
    font-size: 1rem;
}

footer li {
    list-style: none;
    margin-left: 16px;
}

footer li img {
    height: 32px;
}

footer .container{
    padding: 16px 0;
}

footer .redes img{
    max-width: 2rem;
}

@media screen and (max-width: 767px) {
    /* section {
        padding: 0;
    } */
    
    .sobre-a-loja {
        max-height: 100%;
    }

    .sobre-a-loja h2 {
        text-align: center;
    }
    
    .sobre-a-loja .container-flex {
        flex-direction: column;
        align-items: center;
    }

    .sobre-a-loja img {
        max-width: 100%;
        margin-right: 0;
        margin-bottom: 16px; /* Espaçamento entre a imagem e o texto */
    }

    .lista-veiculos li {
        max-width: 100%;
        margin: 20px;
    }

}

@media screen and (max-width:1024px) and (min-width:768px) {
    .sobre-a-loja .container-flex {
        flex-direction: column;
        align-items: center;
    }

    .sobre-a-loja img {
        margin-right: 0;
        margin-bottom: 16px; /* Espaçamento entre a imagem e o texto */
    }

    .sobre-a-loja h2 {
        text-align: center;
    }

    

    .lista-veiculos li {
        max-width: 42%;
        width: 100%;
        margin: 30px;
    }
}